Updates the project status with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
project_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the project status |
string |
Required Max length: 50 |
| is_default |
Is default (auto selected when creating new project) |
boolean | |
| is_closed |
Inform if this status means that the project/installation is archived |
boolean |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating project_status |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating project_status |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "c7f4833d-e746-40fa-9a3b-dcf34e7168e0",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "32da0e25-1a09-418b-8dfa-ecd4888ea09a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "446c1b12-f7a0-470a-9d93-72b1916360e2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "04480ed5-eae7-43ce-ad9b-1bbba28b4b80",
"db_currency_id": "cda64e6b-4060-4a19-88e1-e7f0978f731f",
"db_language_id": "b205f5ca-af5e-413f-9cd1-505bbb93814f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-02-24T16:10:19.7195711+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-02-24T16:10:19.7195711+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.